ComponentParameters
import { ComponentParameters } from "jsr:@ende/http/unstable-message-signatures";interface ยท experimental
interface ComponentParametersParameters that can be attached to a component identifier.
See also
Properties
sf
sf?: trueStrict Structured Field serialization.
key
key?: stringDictionary member key.
bs
bs?: trueBinary-wrapped field values. Each field value is individually wrapped as
a Byte Sequence. Because the Fetch API Headers.get() joins multiple
values with ", ", this flag will produce incorrect results for headers
whose single value contains a literal ", " (e.g. Date). Avoid using
;bs on such fields.
req
req?: trueDerive value from the related request.
tr
tr?: trueDerive value from trailer fields.
name
name?: stringQuery parameter name (for @query-param).